AnsweredAssumed Answered

Dev Web AppBuilder Upgrade issues...

Question asked by dlcgis2 on Mar 4, 2020
Latest reply on Mar 5, 2020 by dlcgis2

I recently installed WAB 2.15. Then, migrated my app from WAB 2.9. Everything seems to work except for a couple of JS errors on startup:

 

init.js:37 Error: multipleDefine
at c (init.js:11)
at Na (init.js:33)
at init.js:33
at e (init.js:10)
at ab (init.js:33)
at q (init.js:31)
at HTMLScriptElement.<anonymous> (init.js:35)
(anonymous) @ init.js:37

init.js:28 Uncaught TypeError: jimuMain.initApp is not a function
at init.js:223
at ja (init.js:28)
at init.js:29
at ka (init.js:28)
at ha (init.js:28)
at q (init.js:31)
at HTMLScriptElement.<anonymous> (init.js:35)
init.js:1015 Uncaught TypeError: Cannot read property 'toLowerCase' of null
at Object.esri-svg (init.js:1015)
at g.has (init.js:11)
at r (init.js:55)
at Object.p.normalize (init.js:55)
at Xa (init.js:24)
at init.js:26
at e (init.js:10)
at mb (init.js:26)
at ia (init.js:27)
at ja (init.js:28)


The first error always appears, while the second and third are somewhat random but frequent. I have removed all of my widgets to try and track down the source of these issue but have not had any luck.

 

Any ideas?

 

Thanks in advance,

 

Mark

Outcomes